org.apache.storm.multilang

## Enum ShellMsg.ShellLogLevel

- java.lang.Object
- - java.lang.Enum<ShellMsg.ShellLogLevel>
  - - org.apache.storm.multilang.ShellMsg.ShellLogLevel

- All Implemented Interfaces:
    Serializable, Comparable<ShellMsg.ShellLogLevel>
  Enclosing class:
    ShellMsg

      public static enum ShellMsg.ShellLogLevel
      extends Enum<ShellMsg.ShellLogLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `ERROR`
    `INFO`
    `TRACE`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShellMsg.ShellLogLevel` | `fromInt(int i)`
    `static ShellMsg.ShellLogLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ShellMsg.ShellLogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRACE

          public static final ShellMsg.ShellLogLevel TRACE

    - #### DEBUG

          public static final ShellMsg.ShellLogLevel DEBUG

    - #### INFO

          public static final ShellMsg.ShellLogLevel INFO

    - #### WARN

          public static final ShellMsg.ShellLogLevel WARN

    - #### ERROR

          public static final ShellMsg.ShellLogLevel ERROR

  - ### Method Detail

    - #### values

          public static ShellMsg.ShellLogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShellMsg.ShellLogLevel c : ShellMsg.ShellLogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShellMsg.ShellLogLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromInt

          public static ShellMsg.ShellLogLevel fromInt(int i)

Copyright © 2021 The Apache Software Foundation. All rights reserved.